🚧 [Experimental] Create bucket object upload URL
Creates a temporary signed URL for uploading an object to the cloud environment storage bucket.
Request
POST
https://api.datalens.tech/rpc/createBucketUploadUrl
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"cloudEnvironmentId": "example",
"path": "example",
"size": "example",
"contentMd5": "exampleaaaaaaaaaaaaaaaaa"
}
|
Name |
Description |
|
cloudEnvironmentId |
Type: string ID of the cloud environment that owns the storage bucket. Min length: Max length: Example: |
|
contentMd5 |
Type: string Base64-encoded 16-byte MD5 digest of the object content. Min length: Max length: Example: |
|
path |
Type: string Path of the object in the storage bucket. Must not exceed 1024 UTF-8 bytes or contain control characters. Min length: Example: |
|
size |
Type: string Size of the object in bytes. Pattern: Example: |
Responses
200 OK
Response
Body
application/json
{
"url": "example"
}
|
Name |
Description |
|
url |
Type: string Temporary signed URL for accessing the object. Example: |